Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.addressbook
Class EmailInfo.EmailType

    java.lang.Object
      portlets.compoze.groupware.addressbook.EmailInfo.EmailType

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  EmailInfo

public static class EmailInfo.EmailType
extends java.lang.Object
implements java.io.Serializable

This class represents the email type.

See Also:
  Serialized Form

Field Summary
`static EmailInfo.EmailType` | `EMAIL` This value represents a 'email' email type.
`static EmailInfo.EmailType` | `EMAIL1` This value represents a 'email1' email type.
`static EmailInfo.EmailType` | `EMAIL2` This value represents a 'email2' email type.
`static EmailInfo.EmailType` | `EMAIL3` This value represents a 'email3' email type.
`static int` | `VALUE_EMAIL` This value represents the 'email1' value.
`static int` | `VALUE_EMAIL1` This value represents the 'email1' value.
`static int` | `VALUE_EMAIL2` This value represents the 'email2' value.
`static int` | `VALUE_EMAIL3` This value represents the 'email3' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static EmailInfo.EmailType` | `get(int iValue)` Gets the email type by the value.
`static java.util.List` | `getEmailTypes()` Gets the list of email type objects.
`java.lang.String` | `getKey()` Gets the key (email name) for i18n.
`int` | `getValue()` Gets the value of the email type.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_EMAIL

    public static final int VALUE_EMAIL

  This value represents the 'email1' value.

  See Also:
    Constant Field Values

### VALUE_EMAIL1

    public static final int VALUE_EMAIL1

  This value represents the 'email1' value.

  See Also:
    Constant Field Values

### VALUE_EMAIL2

    public static final int VALUE_EMAIL2

  This value represents the 'email2' value.

  See Also:
    Constant Field Values

### VALUE_EMAIL3

    public static final int VALUE_EMAIL3

  This value represents the 'email3' value.

  See Also:
    Constant Field Values

### EMAIL

    public static final EmailInfo.EmailType EMAIL

  This value represents a 'email' email type.

### EMAIL1

    public static final EmailInfo.EmailType EMAIL1

  This value represents a 'email1' email type.

### EMAIL2

    public static final EmailInfo.EmailType EMAIL2

  This value represents a 'email2' email type.

### EMAIL3

    public static final EmailInfo.EmailType EMAIL3

  This value represents a 'email3' email type.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (email name) for i18n.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the email type.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static EmailInfo.EmailType get(int iValue)

  Gets the email type by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching email type or `null` if not found

### getEmailTypes

    public static java.util.List getEmailTypes()

  Gets the list of email type objects.

  Returns:
    the list of `EmailType` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.